#!/bin/bash

num_chunks=8
model_id=""
model_name=""

datasets=("mathvista" "mathvision" "mmmu" "mmstar" "mmbench" "mathverse" "ai2d" "mmvet")


for dataset in "${datasets[@]}"; do
   output_prefix=""

   model_script="./model_${dataset}_qwen.py"

   python $model_script \
           --model_id $model_name \
           --answers-file "${output_prefix}.jsonl" \
           --batch-size 16
done

